%global prerel b1

%global pypi_name sphinx-basic-ng
%global srcname sphinx_basic_ng

# The documentation and tests need furo.  But to build furo at all, we need
# this package.
%bcond_without bootstrap

%global tarball_version %%(tr -d '~' <<< %{version})

Name:           python-sphinx-basic-ng
Version:        1.0.0%{?prerel:~%prerel}
Release:        %mkrel 2
Summary:        Modernized skeleton for Sphinx themes
Group:          Development/Python
License:        MIT
URL:            https://sphinx-basic-ng.readthedocs.io/
Source0:        %{pypi_source %{srcname} %{tarball_version}}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(wheel)

%if %{without bootstrap}
BuildRequires:  python-sphinx-doc
BuildRequires:  python3-docs
BuildRequires:  python3dist(furo)
BuildRequires:  python3dist(ipython)
BuildRequires:  python3dist(myst-parser)
BuildRequires:  python3dist(sphinx-copybutton)
BuildRequires:  python3dist(sphinx-inline-tabs)
%endif

%description
A modernized skeleton for Sphinx themes.

%package     -n python3-sphinx-basic-ng
Summary:        Modernized skeleton for Sphinx themes

%description -n python3-sphinx-basic-ng
A modernized skeleton for Sphinx themes.

%if %{without bootstrap}
%package        doc
Summary:        Documentation for %{name}
# This project is MIT.  Other files bundled with the documentation have the
# following licenses:
# - searchindex.js: MIT
# - _static/basic.css: BSD-2-Clause
# - _static/clipboard.min.js: MIT
# - _static/copy*: MIT
# - _static/doctools.js: BSD-2-Clause
# - _static/jquery*.js: MIT
# - _static/language_data.js: BSD-2-Clause
# - _static/pygments.css: BSD-2-Clause
# - _static/scripts/*: MIT
# - _static/searchtools.js: BSD-2-Clause
# - _static/styles/*: MIT
# - _static/underscore*.js: MIT
License:        MIT AND BSD-2-Clause

%description    doc
Documentation for %{name}.
%endif

%prep
%autosetup -n %{srcname}-%{tarball_version} -p1

%build
%pyproject_wheel

%if %{without bootstrap}
# Build documentation
PYTHONPATH=$PWD/src sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files sphinx_basic_ng

%check
# The nox tests require network access, so we do not run them
%pyproject_check_import

%files -n python3-sphinx-basic-ng -f %{pyproject_files}
%doc README.md

%if %{without bootstrap}
%files doc
%doc html
%license LICENSE
%endif


%changelog
* Fri Dec 08 2023 wally <wally> 1.0.0~b1-2.mga10
+ Revision: 2015627
- rebuild for py3.12

* Sun Jan 15 2023 wally <wally> 1.0.0~b1-1.mga9
+ Revision: 1933486
- new version 1.0.0b1

* Thu Sep 22 2022 guillomovitch <guillomovitch> 0.0.1-0.a12.mga9
+ Revision: 1891686
- imported package python-sphinx-basic-ng

